loci.formats.in.LeicaMicrosystemsMetadata

## Class XlifDocument

- java.lang.Object
- - loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument
  - - loci.formats.in.LeicaMicrosystemsMetadata.LMSImageXmlDocument
    - - loci.formats.in.LeicaMicrosystemsMetadata.XlifDocument

-     public class XlifDocument
      extends LMSImageXmlDocument

  This class loads and represents a Leica Microsystems XLIF xml document
  Author:
    Constanze Wendlandt constanze.wendlandt at leica-microsystems.com

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `LMSXmlDocument.InitFrom`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) LMSFileReader.ImageFormat` | `imageFormat`
    `(package private) java.util.List<java.lang.String>` | `imagePaths`

    - ### Fields inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `dir, doc, filepath, LOGGER, parent, xPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlifDocument(java.lang.String filepath, LMSCollectionXmlDocument parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private LMSFileReader.ImageFormat` | `checkImageFormat()`
    `org.w3c.dom.Node` | `getElementNode()`
    `LMSFileReader.ImageFormat` | `getImageFormat()`
    `java.lang.String` | `getImageName()` Returns the name of the image (it might be contained in the XML or otherwise e.g.
    `org.w3c.dom.Node` | `getImageNode()` Returns the image node of the xml document which contains image metadata
    `java.util.List<java.lang.String>` | `getImagePaths()`
    `java.lang.String` | `getName()`
    `int` | `getTileCount()` Returns the number of tiles referenced by this xlif
    `private void` | `initImagePaths()` Searches the xml for referenced images and adds image paths
    `boolean` | `isValid()`
    `void` | `printXlifInfo()`

    - ### Methods inherited from class loci.formats.in.LeicaMicrosystemsMetadata.LMSXmlDocument

      `fileExists, getAttr, GetChildWithName, getDoc, getFilepath, getParentFiles, nodeToString, parseFilePath, toString, xPath, xPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### imageFormat

          LMSFileReader.ImageFormat imageFormat

    - #### imagePaths

          java.util.List<java.lang.String> imagePaths

  - ### Constructor Detail

    - #### XlifDocument

          public XlifDocument(java.lang.String filepath,
                              LMSCollectionXmlDocument parent)

  - ### Method Detail

    - #### getImageFormat

          public LMSFileReader.ImageFormat getImageFormat()

    - #### getImagePaths

          public java.util.List<java.lang.String> getImagePaths()

    - #### getName

          public java.lang.String getName()

    - #### getElementNode

          public org.w3c.dom.Node getElementNode()

    - #### getImageNode

          public org.w3c.dom.Node getImageNode()

      Description copied from class: `LMSImageXmlDocument`
      Returns the image node of the xml document which contains image metadata
      Specified by:
        `getImageNode` in class `LMSImageXmlDocument`

    - #### getImageName

          public java.lang.String getImageName()

      Description copied from class: `LMSImageXmlDocument`
      Returns the name of the image (it might be contained in the XML or otherwise e.g. in the file name)
      Specified by:
        `getImageName` in class `LMSImageXmlDocument`

    - #### getTileCount

          public int getTileCount()

      Returns the number of tiles referenced by this xlif

    - #### checkImageFormat

          private LMSFileReader.ImageFormat checkImageFormat()

    - #### initImagePaths

          private void initImagePaths()

      Searches the xml for referenced images and adds image paths

    - #### printXlifInfo

          public void printXlifInfo()

    - #### isValid

          public boolean isValid()

Copyright © 2026 Open Microscopy Environment